Đến nội dung


Hình ảnh

Có thể tạo "block động" được không?


  • Please log in to reply
31 replies to this topic

#21 cuongcnn

cuongcnn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2009 - 11:03 AM

Tạo block không đặt tên, Để khỏi phải quản lý.
Trích dẫn(Nguyen Hoanh @ Jan 31 2007, 12:58 PM)
Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C, sau đó dùng lệnh PasteBlock.

Với block tạo bằng phương pháp này, bạn không cần phải quản lý block (thật ra là không quản lý được). Khi bạn xóa đối tượng này, ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file.
Bác thử dùng Block ko đặt tên xem rất tiện lợi cho công việc của bác.
Nhanh hơn cả block đặt tên


:s_big: cho mình hỏi tạo block bằng phương pháp này ,làm thế nào để kết hợp với me để làm các thao tác array ,vì câu lệnh yêu cầu tên của block?
  • 0

#22 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 31 May 2009 - 11:42 AM

:s_big: cho mình hỏi tạo block bằng phương pháp này ,làm thế nào để kết hợp với me để làm các thao tác array ,vì câu lệnh yêu cầu tên của block?

Tạo Block theo cách trên là không cần đặt tên, nhưng bản thân của Block đó nó mang 1 cái tên. Có điều cái tên này hơi dài và khó nhớ. Bạn cũng có thể sử dụng cái tên này trong lệnh ME và lệnh DIV

Bạn có thể kích chọn Block này -> Bấm phím Ctrol+1 -> sẽ thấy tên của nó ỡ nhãn Misc. Dưới chữ Misc có chữ Name +> Đó chính là tên của Block

Hoặc bạn dùng cái này sẽ thấy được tên của Block :

(alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))

:s_big:
  • 0

#23 cuongcnn

cuongcnn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2009 - 05:05 PM

Tạo Block theo cách trên là không cần đặt tên, nhưng bản thân của Block đó nó mang 1 cái tên. Có điều cái tên này hơi dài và khó nhớ. Bạn cũng có thể sử dụng cái tên này trong lệnh ME và lệnh DIV

Bạn có thể kích chọn Block này -> Bấm phím Ctrol+1 -> sẽ thấy tên của nó ỡ nhãn Misc. Dưới chữ Misc có chữ Name +> Đó chính là tên của Block

Hoặc bạn dùng cái này sẽ thấy được tên của Block :

(alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))

:s_big:


:s_big: thanks tue nhìu..nhưng sao em làm thì lại bị lổi như vầy error: bad argument type: stringp nil
ah còn 1 điều nửa em thắc mắc ,mong Tue chỉ bảo ,khi tạo block như thế này ,làm sao mình xác định được điểm gốc?
  • 1

#24 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 31 May 2009 - 05:12 PM

:s_big: thanks tue nhìu..nhưng sao em làm thì lại bị lổi như vầy error: bad argument type: stringp nil
ah còn 1 điều nửa em thắc mắc ,mong Tue chỉ bảo ,khi tạo block như thế này ,làm sao mình xác định được điểm gốc?

Bạn phải pick trúng đối tượng block!
  • 1

#25 cuongcnn

cuongcnn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2009 - 05:21 PM

Bạn phải pick trúng đối tượng block!

sory thiệt là làm mất thời gian của mấy anh quá ,em nói chưa rỏ.ý em là ,nếu thích bắt điểm gốc tại bất kì điểm nào trên block được ko ?hay là điểm này là mặc định ?
xin anh cho ý kiến .. :s_big:
  • 1

#26 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 31 May 2009 - 09:00 PM

:s_big: thanks tue nhìu..nhưng sao em làm thì lại bị lổi như vầy error: bad argument type: stringp nil
ah còn 1 điều nửa em thắc mắc ,mong Tue chỉ bảo ,khi tạo block như thế này ,làm sao mình xác định được điểm gốc?

Điều thắc mắc thứ nhất của bạn :
- Có 1 phương pháp đơn giản như thế này :

Bạn copy (Ctrol + C) dòng này : (alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))
Sau đó bạn qua CAD, trỏ chuột vào dòng Command -> Nhấn Ctrol+V -> Chọn Block -> sẽ hiện lên hộp thoại chứa tên Block

Thắc mắc thứ 2 của bạn Tue_NV xin được giải đáp :

Đầu tiên, bạn sử dụng lệnh copybase -> Bạn xác điịnh điểm chèn thì sau này điểm chèn này chính là điểm chèn của Block

Command: copybase : gõ copybase
Specify base point: Chọn điểm chèn và sau này điểm chèn này chính là điểm chèn của Block
Select objects: Specify opposite corner: 6 found : chọn đối tượng

Select objects: gõ enter

Vào menu edit -> chọn Paste as Block

-> Bạn sẽ được như ý.

:s_big:
  • 1

#27 cuongcnn

cuongcnn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 June 2009 - 01:51 PM

Điều thắc mắc thứ nhất của bạn :
- Có 1 phương pháp đơn giản như thế này :

Bạn copy (Ctrol + C) dòng này : (alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))
Sau đó bạn qua CAD, trỏ chuột vào dòng Command -> Nhấn Ctrol+V -> Chọn Block -> sẽ hiện lên hộp thoại chứa tên Block

Thắc mắc thứ 2 của bạn Tue_NV xin được giải đáp :

Đầu tiên, bạn sử dụng lệnh copybase -> Bạn xác điịnh điểm chèn thì sau này điểm chèn này chính là điểm chèn của Block

Command: copybase : gõ copybase
Specify base point: Chọn điểm chèn và sau này điểm chèn này chính là điểm chèn của Block
Select objects: Specify opposite corner: 6 found : chọn đối tượng

Select objects: gõ enter

Vào menu edit -> chọn Paste as Block

-> Bạn sẽ được như ý.

:lol2:



hi :lol2: thanks bạn nhìu nhìu ...mong được chỉ giáo :D
  • 0

#28 dnhqs

dnhqs

    biết vẽ ellipse

  • Members
  • PipPip
  • 50 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 26 April 2012 - 01:42 PM

Chả biết diễn đạt tnào cho dễ hiểu, đành nói hơi dài dòng thế này:
Bạn tạo Text bằng lệnh ATT sau đó block lại. Sau đó bạn dùng lệnh Bedit để setup các thuộc tính cho Block đó. Vào thẻ "Parameters" bạn chọn "Point Parameters" và pick vào tâm vòng tròn chứa chữ mf bạn muốn di chuyển. Tiếp thep bạn kích đúp vào và chọn thuộc tính STRETCH sau đó bạn khoanh vùng chọn vào khu vực đường tròn cần di chuyển và đầu đường line phía đường tròn. cuối cùng là "close block editor" và thử kết quả. Hình đã gửi

lệnh bedit cad 2004 không có à
  • 0

#29 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 26 April 2012 - 11:18 PM

lệnh bedit cad 2004 không có à

Hề hề hề,
Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.
Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....
Chúc đại ca luôn mạnh khỏe.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#30 Hai_YenLang

Hai_YenLang

    biết lệnh explore

  • Members
  • PipPipPipPipPipPip
  • 473 Bài viết
Điểm đánh giá: 149 (tàm tạm)

Đã gửi 27 April 2012 - 12:45 AM

Hề hề hề,
Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.
Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....
Chúc đại ca luôn mạnh khỏe.

Bác thử gõ vào dòng lệnh : Refedit >> chọn đối tượng là block xem sao?
  • 0
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Người cảnh sát điều tra hình sự giỏi là người biết được tất cả những hành vi thủ đoạn trộm cắp của bọn trộm cắp, nhưng lại dốt ăn cắp ăn trộm ...

#31 dnhqs

dnhqs

    biết vẽ ellipse

  • Members
  • PipPip
  • 50 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 27 April 2012 - 10:19 AM

Bác thử gõ vào dòng lệnh : Refedit >> chọn đối tượng là block xem sao?

cái này tuyệt thật nhưng mà mình đang dùng cad2004 nên chịu
có cách nào dùng được không hởi trời
  • 0

#32 dnhqs

dnhqs

    biết vẽ ellipse

  • Members
  • PipPip
  • 50 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 27 April 2012 - 10:20 AM

Hề hề hề,
Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.
Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....
Chúc đại ca luôn mạnh khỏe.

Cám ơn Thanh Bình mình rất khỏe he he chúc bạn sức khỏe
  • 0